<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ExpenseDetailList.ascx.cs" Inherits="Webolize.TimeTracker.Web.ExpenseDetailList" %>
<asp:GridView ID="wf_ExpenseEntries" runat="server" Width="100%" AutoGenerateColumns="False" OnRowDataBound="wf_ExpenseEntries_RowDataBound" ShowFooter="True" HeaderStyle-HorizontalAlign="left" RowStyle-HorizontalAlign="left">
    <Columns>
        <asp:TemplateField HeaderText="Date">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "ExpenseDate","{0:d}" )%>
        </ItemTemplate>
            <ItemStyle Width="60px" HorizontalAlign="right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Vendor">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "Vendor.FullName" )%>
        </ItemTemplate>
            <ItemStyle Width="65px" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Cost">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "UnitCost", "{0:0.00}" )%>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="40px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Expense">
        <ItemTemplate>
            <%# DataBinder.Eval( Container.DataItem, "ExpenseCode.FullName" )%> 
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Center" Width="35px" />
            <HeaderStyle HorizontalAlign="center" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Markup">
            <ItemTemplate>
                <%# GetMarkupPercent(DataBinder.Eval( Container.DataItem, "ExpenseCode.MarkupMultiplier" ).ToString())%>
            </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="50px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Cost">
        <ItemTemplate>
            <%# GetExpenseCost( DataBinder.Eval( Container.DataItem, "UnitCost" ).ToString(), DataBinder.Eval( Container.DataItem, "ExpenseCode.MarkupMultiplier" ).ToString() )%>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="50px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
        <asp:BoundField DataField="Description" HeaderText="Description" />
        <asp:TemplateField HeaderText="Edit">
        <ItemTemplate>
            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# GetEditEntryURL(DataBinder.Eval(Container.DataItem,"ID").ToString()) %>' Text="edit">edit</asp:HyperLink>
        </ItemTemplate>
            <ItemStyle HorizontalAlign="Right" Width="30px" />
            <HeaderStyle HorizontalAlign="Right" />
        </asp:TemplateField>
    </Columns>
   	<AlternatingRowStyle BackColor="Gainsboro"></AlternatingRowStyle>
	<RowStyle ForeColor="Black" VerticalAlign="Top" BackColor="#EEEEEE"></RowStyle>
	<HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
	<FooterStyle ForeColor="Black" BackColor="#CCCCCC" Font-Bold="True" HorizontalAlign="Right"></FooterStyle>
</asp:GridView>
